import type { RpcResponseError } from "./types";
export declare class RpcError<TError = unknown> extends Error {
    private readonly err;
    constructor(err: RpcResponseError<TError>);
    /**
     * Retrieve error code
     * @returns error code
     */
    getCode(): import("./types").RpcErrorCode;
    /**
     * Retrieve underlying data info
     * @returns data info
     */
    getData(): TError | undefined;
}
//# sourceMappingURL=RPCError.d.ts.map