import type { Account, RawAccount } from "./types";
/**
 * Serialize an [[Account]] object in order to send it over JSON-RPC protocol
 * to the Ledger Live platform
 * @param account - The account object to serialize
 *
 * @returns The raw representation of the provided account object
 */
export declare function serializeAccount({ id, name, address, currency, balance, spendableBalance, blockHeight, lastSyncDate, parentAccountId, }: Account): RawAccount;
/**
 * Deserialize a [[RawAccount]] object after it has been received over JSON-RPC
 * protocol from the Ledger Live platform
 * @param rawAccount - The raw account representation to deserialize
 *
 * @returns The object account of the provided raw account representation
 */
export declare function deserializeAccount({ id, name, address, currency, balance, spendableBalance, blockHeight, lastSyncDate, parentAccountId, }: RawAccount): Account;
//# sourceMappingURL=serializers.d.ts.map