import { z } from "zod";
export declare const schemaRawAccount: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    address: z.ZodString;
    currency: z.ZodString;
    balance: z.ZodString;
    spendableBalance: z.ZodString;
    blockHeight: z.ZodUnion<[z.ZodNumber, z.ZodUndefined]>;
    lastSyncDate: z.ZodString;
    parentAccountId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id: string;
    address: string;
    name: string;
    currency: string;
    balance: string;
    spendableBalance: string;
    lastSyncDate: string;
    blockHeight?: number | undefined;
    parentAccountId?: string | undefined;
}, {
    id: string;
    address: string;
    name: string;
    currency: string;
    balance: string;
    spendableBalance: string;
    lastSyncDate: string;
    blockHeight?: number | undefined;
    parentAccountId?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map