import { z } from "zod";
export declare const schemaCurrencyType: z.ZodEnum<["CryptoCurrency", "TokenCurrency"]>;
export declare const schemaTokenStandard: z.ZodEnum<["ERC20"]>;
export declare const schemaBaseCurrency: z.ZodObject<{
    color: z.ZodString;
    ticker: z.ZodString;
    id: z.ZodString;
    name: z.ZodString;
    decimals: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    ticker: string;
    decimals: number;
}, {
    id: string;
    name: string;
    color: string;
    ticker: string;
    decimals: number;
}>;
export declare const schemaCryptoCurrency: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    ticker: z.ZodString;
    decimals: z.ZodNumber;
    type: z.ZodLiteral<"CryptoCurrency">;
    family: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "CryptoCurrency";
    id: string;
    name: string;
    color: string;
    ticker: string;
    decimals: number;
    family: string;
}, {
    type: "CryptoCurrency";
    id: string;
    name: string;
    color: string;
    ticker: string;
    decimals: number;
    family: string;
}>;
export declare const schemaTokenCurrency: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    ticker: z.ZodString;
    decimals: z.ZodNumber;
    type: z.ZodLiteral<"TokenCurrency">;
    parent: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "TokenCurrency";
    id: string;
    name: string;
    color: string;
    parent: string;
    ticker: string;
    decimals: number;
}, {
    type: "TokenCurrency";
    id: string;
    name: string;
    color: string;
    parent: string;
    ticker: string;
    decimals: number;
}>;
export declare const schemaERC20TokenCurrency: z.ZodObject<{
    type: z.ZodLiteral<"TokenCurrency">;
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    parent: z.ZodString;
    ticker: z.ZodString;
    decimals: z.ZodNumber;
    standard: z.ZodEnum<["ERC20"]>;
    contract: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "TokenCurrency";
    id: string;
    name: string;
    color: string;
    standard: "ERC20";
    parent: string;
    ticker: string;
    decimals: number;
    contract: string;
}, {
    type: "TokenCurrency";
    id: string;
    name: string;
    color: string;
    standard: "ERC20";
    parent: string;
    ticker: string;
    decimals: number;
    contract: string;
}>;
export declare const schemaCurrency: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    ticker: z.ZodString;
    decimals: z.ZodNumber;
    type: z.ZodLiteral<"CryptoCurrency">;
    family: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "CryptoCurrency";
    id: string;
    name: string;
    color: string;
    ticker: string;
    decimals: number;
    family: string;
}, {
    type: "CryptoCurrency";
    id: string;
    name: string;
    color: string;
    ticker: string;
    decimals: number;
    family: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"TokenCurrency">;
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    parent: z.ZodString;
    ticker: z.ZodString;
    decimals: z.ZodNumber;
    standard: z.ZodEnum<["ERC20"]>;
    contract: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "TokenCurrency";
    id: string;
    name: string;
    color: string;
    standard: "ERC20";
    parent: string;
    ticker: string;
    decimals: number;
    contract: string;
}, {
    type: "TokenCurrency";
    id: string;
    name: string;
    color: string;
    standard: "ERC20";
    parent: string;
    ticker: string;
    decimals: number;
    contract: string;
}>]>;
//# sourceMappingURL=validation.d.ts.map