import { z } from "zod";
export declare const schemaOperationMode: z.ZodEnum<["send", "lock", "unlock", "withdraw", "vote", "revoke", "activate", "register"]>;
export declare const schemaRawCeloTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"celo">;
    fees: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    mode: z.ZodEnum<["send", "lock", "unlock", "withdraw", "vote", "revoke", "activate", "register"]>;
    index: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    family: "celo";
    amount: string;
    recipient: string;
    mode: "send" | "lock" | "unlock" | "withdraw" | "vote" | "revoke" | "activate" | "register";
    fees?: string | null | undefined;
    index?: number | null | undefined;
}, {
    family: "celo";
    amount: string;
    recipient: string;
    mode: "send" | "lock" | "unlock" | "withdraw" | "vote" | "revoke" | "activate" | "register";
    fees?: string | null | undefined;
    index?: number | null | undefined;
}>;
export type CeloOperationMode = z.infer<typeof schemaOperationMode>;
//# sourceMappingURL=validation.d.ts.map