import { z } from "zod";
export declare const schemaCosmosOperationMode: z.ZodEnum<["send", "delegate", "undelegate", "redelegate", "claimReward", "claimRewardCompound"]>;
export declare const schemaRawCosmosTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"cosmos">;
    mode: z.ZodEnum<["send", "delegate", "undelegate", "redelegate", "claimReward", "claimRewardCompound"]>;
    fees: z.ZodOptional<z.ZodString>;
    gas: z.ZodOptional<z.ZodString>;
    memo: z.ZodOptional<z.ZodString>;
    sourceValidator: z.ZodOptional<z.ZodString>;
    validators: z.ZodOptional<z.ZodArray<z.ZodObject<{
        address: z.ZodString;
        amount: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        address: string;
        amount: string;
    }, {
        address: string;
        amount: string;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    family: "cosmos";
    amount: string;
    recipient: string;
    mode: "send" | "claimReward" | "delegate" | "undelegate" | "redelegate" | "claimRewardCompound";
    fees?: string | undefined;
    gas?: string | undefined;
    memo?: string | undefined;
    sourceValidator?: string | undefined;
    validators?: {
        address: string;
        amount: string;
    }[] | undefined;
}, {
    family: "cosmos";
    amount: string;
    recipient: string;
    mode: "send" | "claimReward" | "delegate" | "undelegate" | "redelegate" | "claimRewardCompound";
    fees?: string | undefined;
    gas?: string | undefined;
    memo?: string | undefined;
    sourceValidator?: string | undefined;
    validators?: {
        address: string;
        amount: string;
    }[] | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map