import { z } from "zod";
export declare const schemaPolkadotOperationMode: z.ZodEnum<["send", "bond", "unbond", "rebond", "withdrawUnbonded", "setController", "nominate", "chill", "claimReward"]>;
export declare const schemaPolkadotRewardDestination: z.ZodEnum<["Staked", "Stash", "Controller", "Account", "None"]>;
export declare const schemaRawPolkadotTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"polkadot">;
    mode: z.ZodEnum<["send", "bond", "unbond", "rebond", "withdrawUnbonded", "setController", "nominate", "chill", "claimReward"]>;
    fee: z.ZodOptional<z.ZodString>;
    era: z.ZodOptional<z.ZodNumber>;
    validators: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    rewardDestination: z.ZodOptional<z.ZodEnum<["Staked", "Stash", "Controller", "Account", "None"]>>;
    numOfSlashingSpans: z.ZodOptional<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    family: "polkadot";
    amount: string;
    recipient: string;
    mode: "send" | "claimReward" | "bond" | "unbond" | "rebond" | "withdrawUnbonded" | "setController" | "nominate" | "chill";
    fee?: string | undefined;
    era?: number | undefined;
    validators?: string[] | undefined;
    rewardDestination?: "None" | "Staked" | "Stash" | "Controller" | "Account" | undefined;
    numOfSlashingSpans?: number | undefined;
}, {
    family: "polkadot";
    amount: string;
    recipient: string;
    mode: "send" | "claimReward" | "bond" | "unbond" | "rebond" | "withdrawUnbonded" | "setController" | "nominate" | "chill";
    fee?: string | undefined;
    era?: number | undefined;
    validators?: string[] | undefined;
    rewardDestination?: "None" | "Staked" | "Stash" | "Controller" | "Account" | undefined;
    numOfSlashingSpans?: number | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map