import type { RawTransaction, Transaction } from "./types";
/**
 * Serialize an [[Transaction]] object in order to send it over JSON-RPC
 * protocol to the Ledger Live platform
 * @param transaction - The transaction object to serialize
 *
 * @returns The raw representation of the provided transaction object
 */
export declare function serializeTransaction(transaction: Transaction): RawTransaction;
/**
 * Deserialize a [[RawTransaction]] object after it has been received over
 * JSON-RPC protocol from the Ledger Live platform
 * @param rawTransaction - The raw transaction representation to deserialize
 *
 * @returns The object transaction of the provided raw transaction representation
 */
export declare function deserializeTransaction(rawTransaction: RawTransaction): Transaction;
//# sourceMappingURL=serializer.d.ts.map