import BigNumber from "bignumber.js";
export const serializeStacksTransaction = ({ amount, recipient, family, fee, nonce, memo, network, anchorMode, }) => ({
    amount: amount.toString(),
    recipient,
    family,
    fee: fee?.toString(),
    nonce: nonce?.toString(),
    memo,
    network,
    anchorMode,
});
export const deserializeStacksTransaction = ({ amount, recipient, family, fee, nonce, memo, network, anchorMode, }) => ({
    amount: new BigNumber(amount),
    recipient,
    family,
    fee: fee ? new BigNumber(fee) : undefined,
    nonce: nonce ? new BigNumber(nonce) : undefined,
    memo,
    network: network === "mainnet" ? network : "testnet",
    anchorMode,
});
//# sourceMappingURL=serializer.js.map