import { z } from "zod";
export declare const schemaTonComment: z.ZodObject<{
    isEncrypted: z.ZodBoolean;
    text: z.ZodString;
}, "strip", z.ZodTypeAny, {
    text: string;
    isEncrypted: boolean;
}, {
    text: string;
    isEncrypted: boolean;
}>;
export declare const schemaTonPayloadJettonTransferRaw: z.ZodObject<{
    type: z.ZodLiteral<"jetton-transfer">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    amount: z.ZodString;
    destination: z.ZodString;
    responseDestination: z.ZodString;
    customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    forwardAmount: z.ZodString;
    forwardPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    knownJetton: z.ZodUnion<[z.ZodObject<{
        jettonId: z.ZodNumber;
        workchain: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        jettonId: number;
        workchain: number;
    }, {
        jettonId: number;
        workchain: number;
    }>, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    type: "jetton-transfer";
    amount: string;
    queryId: string | null;
    destination: string;
    responseDestination: string;
    customPayload: string | null;
    forwardAmount: string;
    forwardPayload: string | null;
    knownJetton: {
        jettonId: number;
        workchain: number;
    } | null;
}, {
    type: "jetton-transfer";
    amount: string;
    queryId: string | null;
    destination: string;
    responseDestination: string;
    customPayload: string | null;
    forwardAmount: string;
    forwardPayload: string | null;
    knownJetton: {
        jettonId: number;
        workchain: number;
    } | null;
}>;
export declare const schemaTonPayloadNftTransferRaw: z.ZodObject<{
    type: z.ZodLiteral<"nft-transfer">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    newOwner: z.ZodString;
    responseDestination: z.ZodString;
    customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    forwardAmount: z.ZodString;
    forwardPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    type: "nft-transfer";
    queryId: string | null;
    responseDestination: string;
    customPayload: string | null;
    forwardAmount: string;
    forwardPayload: string | null;
    newOwner: string;
}, {
    type: "nft-transfer";
    queryId: string | null;
    responseDestination: string;
    customPayload: string | null;
    forwardAmount: string;
    forwardPayload: string | null;
    newOwner: string;
}>;
export declare const schemaTonPayloadCommentRaw: z.ZodObject<{
    type: z.ZodLiteral<"comment">;
    text: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "comment";
    text: string;
}, {
    type: "comment";
    text: string;
}>;
export declare const schemaTonPayloadUnsafeRaw: z.ZodObject<{
    type: z.ZodLiteral<"unsafe">;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "unsafe";
    message: string;
}, {
    type: "unsafe";
    message: string;
}>;
export declare const schemaTonPayloadJettonBurnRaw: z.ZodObject<{
    type: z.ZodLiteral<"jetton-burn">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    amount: z.ZodString;
    responseDestination: z.ZodString;
    customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    type: "jetton-burn";
    amount: string;
    queryId: string | null;
    responseDestination: string;
    customPayload: string | null;
}, {
    type: "jetton-burn";
    amount: string;
    queryId: string | null;
    responseDestination: string;
    customPayload: string | null;
}>;
export declare const schemaTonPayloadAddWhitelistRaw: z.ZodObject<{
    type: z.ZodLiteral<"add-whitelist">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    address: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "add-whitelist";
    address: string;
    queryId: string | null;
}, {
    type: "add-whitelist";
    address: string;
    queryId: string | null;
}>;
export declare const schemaTonPayloadSingleNominatorWithdrawRaw: z.ZodObject<{
    type: z.ZodLiteral<"single-nominator-withdraw">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    amount: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "single-nominator-withdraw";
    amount: string;
    queryId: string | null;
}, {
    type: "single-nominator-withdraw";
    amount: string;
    queryId: string | null;
}>;
export declare const schemaTonPayloadSingleNominatorChangeValidatorRaw: z.ZodObject<{
    type: z.ZodLiteral<"single-nominator-change-validator">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    address: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "single-nominator-change-validator";
    address: string;
    queryId: string | null;
}, {
    type: "single-nominator-change-validator";
    address: string;
    queryId: string | null;
}>;
export declare const schemaTonPayloadTonStakersDepositRaw: z.ZodObject<{
    type: z.ZodLiteral<"tonstakers-deposit">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    appId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    type: "tonstakers-deposit";
    queryId: string | null;
    appId: string | null;
}, {
    type: "tonstakers-deposit";
    queryId: string | null;
    appId: string | null;
}>;
export declare const schemaTonPayloadVoteForProposalRaw: z.ZodObject<{
    type: z.ZodLiteral<"vote-for-proposal">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    votingAddress: z.ZodString;
    expirationDate: z.ZodNumber;
    vote: z.ZodBoolean;
    needConfirmation: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    type: "vote-for-proposal";
    vote: boolean;
    queryId: string | null;
    votingAddress: string;
    expirationDate: number;
    needConfirmation: boolean;
}, {
    type: "vote-for-proposal";
    vote: boolean;
    queryId: string | null;
    votingAddress: string;
    expirationDate: number;
    needConfirmation: boolean;
}>;
export declare const schemaTonPayloadChangeDnsRecordRaw: z.ZodObject<{
    type: z.ZodLiteral<"change-dns-record">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    record: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"wallet">;
        value: z.ZodUnion<[z.ZodObject<{
            address: z.ZodString;
            capabilities: z.ZodUnion<[z.ZodObject<{
                isWallet: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                isWallet: boolean;
            }, {
                isWallet: boolean;
            }>, z.ZodNull]>;
        }, "strip", z.ZodTypeAny, {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        }, {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        }>, z.ZodNull]>;
    }, "strip", z.ZodTypeAny, {
        type: "wallet";
        value: {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        } | null;
    }, {
        type: "wallet";
        value: {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        } | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"unknown">;
        key: z.ZodString;
        value: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    }, "strip", z.ZodTypeAny, {
        type: "unknown";
        key: string;
        value: string | null;
    }, {
        type: "unknown";
        key: string;
        value: string | null;
    }>]>;
}, "strip", z.ZodTypeAny, {
    type: "change-dns-record";
    record: {
        type: "wallet";
        value: {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        } | null;
    } | {
        type: "unknown";
        key: string;
        value: string | null;
    };
    queryId: string | null;
}, {
    type: "change-dns-record";
    record: {
        type: "wallet";
        value: {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        } | null;
    } | {
        type: "unknown";
        key: string;
        value: string | null;
    };
    queryId: string | null;
}>;
export declare const schemaTonPayloadTokenBridgePaySwapRaw: z.ZodObject<{
    type: z.ZodLiteral<"token-bridge-pay-swap">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    swapId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "token-bridge-pay-swap";
    queryId: string | null;
    swapId: string;
}, {
    type: "token-bridge-pay-swap";
    queryId: string | null;
    swapId: string;
}>;
export declare const schemaTonPayloadFormatRaw: z.ZodUnion<[z.ZodObject<{
    type: z.ZodLiteral<"comment">;
    text: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "comment";
    text: string;
}, {
    type: "comment";
    text: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"jetton-transfer">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    amount: z.ZodString;
    destination: z.ZodString;
    responseDestination: z.ZodString;
    customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    forwardAmount: z.ZodString;
    forwardPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    knownJetton: z.ZodUnion<[z.ZodObject<{
        jettonId: z.ZodNumber;
        workchain: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        jettonId: number;
        workchain: number;
    }, {
        jettonId: number;
        workchain: number;
    }>, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    type: "jetton-transfer";
    amount: string;
    queryId: string | null;
    destination: string;
    responseDestination: string;
    customPayload: string | null;
    forwardAmount: string;
    forwardPayload: string | null;
    knownJetton: {
        jettonId: number;
        workchain: number;
    } | null;
}, {
    type: "jetton-transfer";
    amount: string;
    queryId: string | null;
    destination: string;
    responseDestination: string;
    customPayload: string | null;
    forwardAmount: string;
    forwardPayload: string | null;
    knownJetton: {
        jettonId: number;
        workchain: number;
    } | null;
}>, z.ZodObject<{
    type: z.ZodLiteral<"nft-transfer">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    newOwner: z.ZodString;
    responseDestination: z.ZodString;
    customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    forwardAmount: z.ZodString;
    forwardPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    type: "nft-transfer";
    queryId: string | null;
    responseDestination: string;
    customPayload: string | null;
    forwardAmount: string;
    forwardPayload: string | null;
    newOwner: string;
}, {
    type: "nft-transfer";
    queryId: string | null;
    responseDestination: string;
    customPayload: string | null;
    forwardAmount: string;
    forwardPayload: string | null;
    newOwner: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"unsafe">;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "unsafe";
    message: string;
}, {
    type: "unsafe";
    message: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"jetton-burn">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    amount: z.ZodString;
    responseDestination: z.ZodString;
    customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    type: "jetton-burn";
    amount: string;
    queryId: string | null;
    responseDestination: string;
    customPayload: string | null;
}, {
    type: "jetton-burn";
    amount: string;
    queryId: string | null;
    responseDestination: string;
    customPayload: string | null;
}>, z.ZodObject<{
    type: z.ZodLiteral<"add-whitelist">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    address: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "add-whitelist";
    address: string;
    queryId: string | null;
}, {
    type: "add-whitelist";
    address: string;
    queryId: string | null;
}>, z.ZodObject<{
    type: z.ZodLiteral<"single-nominator-withdraw">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    amount: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "single-nominator-withdraw";
    amount: string;
    queryId: string | null;
}, {
    type: "single-nominator-withdraw";
    amount: string;
    queryId: string | null;
}>, z.ZodObject<{
    type: z.ZodLiteral<"single-nominator-change-validator">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    address: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "single-nominator-change-validator";
    address: string;
    queryId: string | null;
}, {
    type: "single-nominator-change-validator";
    address: string;
    queryId: string | null;
}>, z.ZodObject<{
    type: z.ZodLiteral<"tonstakers-deposit">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    appId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
}, "strip", z.ZodTypeAny, {
    type: "tonstakers-deposit";
    queryId: string | null;
    appId: string | null;
}, {
    type: "tonstakers-deposit";
    queryId: string | null;
    appId: string | null;
}>, z.ZodObject<{
    type: z.ZodLiteral<"vote-for-proposal">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    votingAddress: z.ZodString;
    expirationDate: z.ZodNumber;
    vote: z.ZodBoolean;
    needConfirmation: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    type: "vote-for-proposal";
    vote: boolean;
    queryId: string | null;
    votingAddress: string;
    expirationDate: number;
    needConfirmation: boolean;
}, {
    type: "vote-for-proposal";
    vote: boolean;
    queryId: string | null;
    votingAddress: string;
    expirationDate: number;
    needConfirmation: boolean;
}>, z.ZodObject<{
    type: z.ZodLiteral<"change-dns-record">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    record: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"wallet">;
        value: z.ZodUnion<[z.ZodObject<{
            address: z.ZodString;
            capabilities: z.ZodUnion<[z.ZodObject<{
                isWallet: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                isWallet: boolean;
            }, {
                isWallet: boolean;
            }>, z.ZodNull]>;
        }, "strip", z.ZodTypeAny, {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        }, {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        }>, z.ZodNull]>;
    }, "strip", z.ZodTypeAny, {
        type: "wallet";
        value: {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        } | null;
    }, {
        type: "wallet";
        value: {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        } | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"unknown">;
        key: z.ZodString;
        value: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    }, "strip", z.ZodTypeAny, {
        type: "unknown";
        key: string;
        value: string | null;
    }, {
        type: "unknown";
        key: string;
        value: string | null;
    }>]>;
}, "strip", z.ZodTypeAny, {
    type: "change-dns-record";
    record: {
        type: "wallet";
        value: {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        } | null;
    } | {
        type: "unknown";
        key: string;
        value: string | null;
    };
    queryId: string | null;
}, {
    type: "change-dns-record";
    record: {
        type: "wallet";
        value: {
            address: string;
            capabilities: {
                isWallet: boolean;
            } | null;
        } | null;
    } | {
        type: "unknown";
        key: string;
        value: string | null;
    };
    queryId: string | null;
}>, z.ZodObject<{
    type: z.ZodLiteral<"token-bridge-pay-swap">;
    queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    swapId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "token-bridge-pay-swap";
    queryId: string | null;
    swapId: string;
}, {
    type: "token-bridge-pay-swap";
    queryId: string | null;
    swapId: string;
}>]>;
export declare const schemaRawTonTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"ton">;
    fees: z.ZodString;
    comment: z.ZodObject<{
        isEncrypted: z.ZodBoolean;
        text: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        text: string;
        isEncrypted: boolean;
    }, {
        text: string;
        isEncrypted: boolean;
    }>;
    payload: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"comment">;
        text: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "comment";
        text: string;
    }, {
        type: "comment";
        text: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"jetton-transfer">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        amount: z.ZodString;
        destination: z.ZodString;
        responseDestination: z.ZodString;
        customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        forwardAmount: z.ZodString;
        forwardPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        knownJetton: z.ZodUnion<[z.ZodObject<{
            jettonId: z.ZodNumber;
            workchain: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            jettonId: number;
            workchain: number;
        }, {
            jettonId: number;
            workchain: number;
        }>, z.ZodNull]>;
    }, "strip", z.ZodTypeAny, {
        type: "jetton-transfer";
        amount: string;
        queryId: string | null;
        destination: string;
        responseDestination: string;
        customPayload: string | null;
        forwardAmount: string;
        forwardPayload: string | null;
        knownJetton: {
            jettonId: number;
            workchain: number;
        } | null;
    }, {
        type: "jetton-transfer";
        amount: string;
        queryId: string | null;
        destination: string;
        responseDestination: string;
        customPayload: string | null;
        forwardAmount: string;
        forwardPayload: string | null;
        knownJetton: {
            jettonId: number;
            workchain: number;
        } | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"nft-transfer">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        newOwner: z.ZodString;
        responseDestination: z.ZodString;
        customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        forwardAmount: z.ZodString;
        forwardPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    }, "strip", z.ZodTypeAny, {
        type: "nft-transfer";
        queryId: string | null;
        responseDestination: string;
        customPayload: string | null;
        forwardAmount: string;
        forwardPayload: string | null;
        newOwner: string;
    }, {
        type: "nft-transfer";
        queryId: string | null;
        responseDestination: string;
        customPayload: string | null;
        forwardAmount: string;
        forwardPayload: string | null;
        newOwner: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"unsafe">;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "unsafe";
        message: string;
    }, {
        type: "unsafe";
        message: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"jetton-burn">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        amount: z.ZodString;
        responseDestination: z.ZodString;
        customPayload: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    }, "strip", z.ZodTypeAny, {
        type: "jetton-burn";
        amount: string;
        queryId: string | null;
        responseDestination: string;
        customPayload: string | null;
    }, {
        type: "jetton-burn";
        amount: string;
        queryId: string | null;
        responseDestination: string;
        customPayload: string | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"add-whitelist">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        address: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "add-whitelist";
        address: string;
        queryId: string | null;
    }, {
        type: "add-whitelist";
        address: string;
        queryId: string | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"single-nominator-withdraw">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        amount: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "single-nominator-withdraw";
        amount: string;
        queryId: string | null;
    }, {
        type: "single-nominator-withdraw";
        amount: string;
        queryId: string | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"single-nominator-change-validator">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        address: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "single-nominator-change-validator";
        address: string;
        queryId: string | null;
    }, {
        type: "single-nominator-change-validator";
        address: string;
        queryId: string | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"tonstakers-deposit">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        appId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    }, "strip", z.ZodTypeAny, {
        type: "tonstakers-deposit";
        queryId: string | null;
        appId: string | null;
    }, {
        type: "tonstakers-deposit";
        queryId: string | null;
        appId: string | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"vote-for-proposal">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        votingAddress: z.ZodString;
        expirationDate: z.ZodNumber;
        vote: z.ZodBoolean;
        needConfirmation: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        type: "vote-for-proposal";
        vote: boolean;
        queryId: string | null;
        votingAddress: string;
        expirationDate: number;
        needConfirmation: boolean;
    }, {
        type: "vote-for-proposal";
        vote: boolean;
        queryId: string | null;
        votingAddress: string;
        expirationDate: number;
        needConfirmation: boolean;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"change-dns-record">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        record: z.ZodUnion<[z.ZodObject<{
            type: z.ZodLiteral<"wallet">;
            value: z.ZodUnion<[z.ZodObject<{
                address: z.ZodString;
                capabilities: z.ZodUnion<[z.ZodObject<{
                    isWallet: z.ZodBoolean;
                }, "strip", z.ZodTypeAny, {
                    isWallet: boolean;
                }, {
                    isWallet: boolean;
                }>, z.ZodNull]>;
            }, "strip", z.ZodTypeAny, {
                address: string;
                capabilities: {
                    isWallet: boolean;
                } | null;
            }, {
                address: string;
                capabilities: {
                    isWallet: boolean;
                } | null;
            }>, z.ZodNull]>;
        }, "strip", z.ZodTypeAny, {
            type: "wallet";
            value: {
                address: string;
                capabilities: {
                    isWallet: boolean;
                } | null;
            } | null;
        }, {
            type: "wallet";
            value: {
                address: string;
                capabilities: {
                    isWallet: boolean;
                } | null;
            } | null;
        }>, z.ZodObject<{
            type: z.ZodLiteral<"unknown">;
            key: z.ZodString;
            value: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        }, "strip", z.ZodTypeAny, {
            type: "unknown";
            key: string;
            value: string | null;
        }, {
            type: "unknown";
            key: string;
            value: string | null;
        }>]>;
    }, "strip", z.ZodTypeAny, {
        type: "change-dns-record";
        record: {
            type: "wallet";
            value: {
                address: string;
                capabilities: {
                    isWallet: boolean;
                } | null;
            } | null;
        } | {
            type: "unknown";
            key: string;
            value: string | null;
        };
        queryId: string | null;
    }, {
        type: "change-dns-record";
        record: {
            type: "wallet";
            value: {
                address: string;
                capabilities: {
                    isWallet: boolean;
                } | null;
            } | null;
        } | {
            type: "unknown";
            key: string;
            value: string | null;
        };
        queryId: string | null;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"token-bridge-pay-swap">;
        queryId: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        swapId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "token-bridge-pay-swap";
        queryId: string | null;
        swapId: string;
    }, {
        type: "token-bridge-pay-swap";
        queryId: string | null;
        swapId: string;
    }>]>>;
}, "strip", z.ZodTypeAny, {
    family: "ton";
    amount: string;
    recipient: string;
    fees: string;
    comment: {
        text: string;
        isEncrypted: boolean;
    };
    payload?: {
        type: "jetton-transfer";
        amount: string;
        queryId: string | null;
        destination: string;
        responseDestination: string;
        customPayload: string | null;
        forwardAmount: string;
        forwardPayload: string | null;
        knownJetton: {
            jettonId: number;
            workchain: number;
        } | null;
    } | {
        type: "nft-transfer";
        queryId: string | null;
        responseDestination: string;
        customPayload: string | null;
        forwardAmount: string;
        forwardPayload: string | null;
        newOwner: string;
    } | {
        type: "comment";
        text: string;
    } | {
        type: "unsafe";
        message: string;
    } | {
        type: "jetton-burn";
        amount: string;
        queryId: string | null;
        responseDestination: string;
        customPayload: string | null;
    } | {
        type: "add-whitelist";
        address: string;
        queryId: string | null;
    } | {
        type: "single-nominator-withdraw";
        amount: string;
        queryId: string | null;
    } | {
        type: "single-nominator-change-validator";
        address: string;
        queryId: string | null;
    } | {
        type: "tonstakers-deposit";
        queryId: string | null;
        appId: string | null;
    } | {
        type: "vote-for-proposal";
        vote: boolean;
        queryId: string | null;
        votingAddress: string;
        expirationDate: number;
        needConfirmation: boolean;
    } | {
        type: "change-dns-record";
        record: {
            type: "wallet";
            value: {
                address: string;
                capabilities: {
                    isWallet: boolean;
                } | null;
            } | null;
        } | {
            type: "unknown";
            key: string;
            value: string | null;
        };
        queryId: string | null;
    } | {
        type: "token-bridge-pay-swap";
        queryId: string | null;
        swapId: string;
    } | undefined;
}, {
    family: "ton";
    amount: string;
    recipient: string;
    fees: string;
    comment: {
        text: string;
        isEncrypted: boolean;
    };
    payload?: {
        type: "jetton-transfer";
        amount: string;
        queryId: string | null;
        destination: string;
        responseDestination: string;
        customPayload: string | null;
        forwardAmount: string;
        forwardPayload: string | null;
        knownJetton: {
            jettonId: number;
            workchain: number;
        } | null;
    } | {
        type: "nft-transfer";
        queryId: string | null;
        responseDestination: string;
        customPayload: string | null;
        forwardAmount: string;
        forwardPayload: string | null;
        newOwner: string;
    } | {
        type: "comment";
        text: string;
    } | {
        type: "unsafe";
        message: string;
    } | {
        type: "jetton-burn";
        amount: string;
        queryId: string | null;
        responseDestination: string;
        customPayload: string | null;
    } | {
        type: "add-whitelist";
        address: string;
        queryId: string | null;
    } | {
        type: "single-nominator-withdraw";
        amount: string;
        queryId: string | null;
    } | {
        type: "single-nominator-change-validator";
        address: string;
        queryId: string | null;
    } | {
        type: "tonstakers-deposit";
        queryId: string | null;
        appId: string | null;
    } | {
        type: "vote-for-proposal";
        vote: boolean;
        queryId: string | null;
        votingAddress: string;
        expirationDate: number;
        needConfirmation: boolean;
    } | {
        type: "change-dns-record";
        record: {
            type: "wallet";
            value: {
                address: string;
                capabilities: {
                    isWallet: boolean;
                } | null;
            } | null;
        } | {
            type: "unknown";
            key: string;
            value: string | null;
        };
        queryId: string | null;
    } | {
        type: "token-bridge-pay-swap";
        queryId: string | null;
        swapId: string;
    } | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map