import { z } from "zod";
export declare const schemaThorTransactionClause: z.ZodObject<{
    to: z.ZodNullable<z.ZodString>;
    value: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    data: z.ZodString;
}, "strip", z.ZodTypeAny, {
    data: string;
    value: string | number;
    to: string | null;
}, {
    data: string;
    value: string | number;
    to: string | null;
}>;
export declare const schemaThorTransactionBody: z.ZodObject<{
    chainTag: z.ZodNumber;
    blockRef: z.ZodString;
    expiration: z.ZodNumber;
    clauses: z.ZodArray<z.ZodObject<{
        to: z.ZodNullable<z.ZodString>;
        value: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        data: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        data: string;
        value: string | number;
        to: string | null;
    }, {
        data: string;
        value: string | number;
        to: string | null;
    }>, "many">;
    gasPriceCoef: z.ZodNumber;
    gas: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    dependsOn: z.ZodNullable<z.ZodString>;
    nonce: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    reserved: z.ZodOptional<z.ZodObject<{
        features: z.ZodOptional<z.ZodNumber>;
        unused: z.ZodOptional<z.ZodArray<z.ZodAny, "many">>;
    }, "strip", z.ZodTypeAny, {
        features?: number | undefined;
        unused?: any[] | undefined;
    }, {
        features?: number | undefined;
        unused?: any[] | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    nonce: string | number;
    gas: string | number;
    chainTag: number;
    blockRef: string;
    expiration: number;
    clauses: {
        data: string;
        value: string | number;
        to: string | null;
    }[];
    gasPriceCoef: number;
    dependsOn: string | null;
    reserved?: {
        features?: number | undefined;
        unused?: any[] | undefined;
    } | undefined;
}, {
    nonce: string | number;
    gas: string | number;
    chainTag: number;
    blockRef: string;
    expiration: number;
    clauses: {
        data: string;
        value: string | number;
        to: string | null;
    }[];
    gasPriceCoef: number;
    dependsOn: string | null;
    reserved?: {
        features?: number | undefined;
        unused?: any[] | undefined;
    } | undefined;
}>;
export declare const schemaRawVechainTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"vechain">;
    estimatedFees: z.ZodString;
    body: z.ZodObject<{
        chainTag: z.ZodNumber;
        blockRef: z.ZodString;
        expiration: z.ZodNumber;
        clauses: z.ZodArray<z.ZodObject<{
            to: z.ZodNullable<z.ZodString>;
            value: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
            data: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            data: string;
            value: string | number;
            to: string | null;
        }, {
            data: string;
            value: string | number;
            to: string | null;
        }>, "many">;
        gasPriceCoef: z.ZodNumber;
        gas: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        dependsOn: z.ZodNullable<z.ZodString>;
        nonce: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
        reserved: z.ZodOptional<z.ZodObject<{
            features: z.ZodOptional<z.ZodNumber>;
            unused: z.ZodOptional<z.ZodArray<z.ZodAny, "many">>;
        }, "strip", z.ZodTypeAny, {
            features?: number | undefined;
            unused?: any[] | undefined;
        }, {
            features?: number | undefined;
            unused?: any[] | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        nonce: string | number;
        gas: string | number;
        chainTag: number;
        blockRef: string;
        expiration: number;
        clauses: {
            data: string;
            value: string | number;
            to: string | null;
        }[];
        gasPriceCoef: number;
        dependsOn: string | null;
        reserved?: {
            features?: number | undefined;
            unused?: any[] | undefined;
        } | undefined;
    }, {
        nonce: string | number;
        gas: string | number;
        chainTag: number;
        blockRef: string;
        expiration: number;
        clauses: {
            data: string;
            value: string | number;
            to: string | null;
        }[];
        gasPriceCoef: number;
        dependsOn: string | null;
        reserved?: {
            features?: number | undefined;
            unused?: any[] | undefined;
        } | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    body: {
        nonce: string | number;
        gas: string | number;
        chainTag: number;
        blockRef: string;
        expiration: number;
        clauses: {
            data: string;
            value: string | number;
            to: string | null;
        }[];
        gasPriceCoef: number;
        dependsOn: string | null;
        reserved?: {
            features?: number | undefined;
            unused?: any[] | undefined;
        } | undefined;
    };
    family: "vechain";
    amount: string;
    recipient: string;
    estimatedFees: string;
}, {
    body: {
        nonce: string | number;
        gas: string | number;
        chainTag: number;
        blockRef: string;
        expiration: number;
        clauses: {
            data: string;
            value: string | number;
            to: string | null;
        }[];
        gasPriceCoef: number;
        dependsOn: string | null;
        reserved?: {
            features?: number | undefined;
            unused?: any[] | undefined;
        } | undefined;
    };
    family: "vechain";
    amount: string;
    recipient: string;
    estimatedFees: string;
}>;
//# sourceMappingURL=validation.d.ts.map