import { z } from "zod";
declare const schemaAccountListParams: z.ZodOptional<z.ZodObject<{
    currencyIds: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    currencyIds?: string[] | undefined;
}, {
    currencyIds?: string[] | undefined;
}>>;
declare const schemaAccountListResults: z.ZodObject<{
    rawAccounts: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        address: z.ZodString;
        currency: z.ZodString;
        balance: z.ZodString;
        spendableBalance: z.ZodString;
        blockHeight: z.ZodUnion<[z.ZodNumber, z.ZodUndefined]>;
        lastSyncDate: z.ZodString;
        parentAccountId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id: string;
        address: string;
        name: string;
        currency: string;
        balance: string;
        spendableBalance: string;
        lastSyncDate: string;
        blockHeight?: number | undefined;
        parentAccountId?: string | undefined;
    }, {
        id: string;
        address: string;
        name: string;
        currency: string;
        balance: string;
        spendableBalance: string;
        lastSyncDate: string;
        blockHeight?: number | undefined;
        parentAccountId?: string | undefined;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    rawAccounts: {
        id: string;
        address: string;
        name: string;
        currency: string;
        balance: string;
        spendableBalance: string;
        lastSyncDate: string;
        blockHeight?: number | undefined;
        parentAccountId?: string | undefined;
    }[];
}, {
    rawAccounts: {
        id: string;
        address: string;
        name: string;
        currency: string;
        balance: string;
        spendableBalance: string;
        lastSyncDate: string;
        blockHeight?: number | undefined;
        parentAccountId?: string | undefined;
    }[];
}>;
export declare const schemaAccountList: {
    params: z.ZodOptional<z.ZodObject<{
        currencyIds: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    }, "strip", z.ZodTypeAny, {
        currencyIds?: string[] | undefined;
    }, {
        currencyIds?: string[] | undefined;
    }>>;
    result: z.ZodObject<{
        rawAccounts: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            address: z.ZodString;
            currency: z.ZodString;
            balance: z.ZodString;
            spendableBalance: z.ZodString;
            blockHeight: z.ZodUnion<[z.ZodNumber, z.ZodUndefined]>;
            lastSyncDate: z.ZodString;
            parentAccountId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            address: string;
            name: string;
            currency: string;
            balance: string;
            spendableBalance: string;
            lastSyncDate: string;
            blockHeight?: number | undefined;
            parentAccountId?: string | undefined;
        }, {
            id: string;
            address: string;
            name: string;
            currency: string;
            balance: string;
            spendableBalance: string;
            lastSyncDate: string;
            blockHeight?: number | undefined;
            parentAccountId?: string | undefined;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        rawAccounts: {
            id: string;
            address: string;
            name: string;
            currency: string;
            balance: string;
            spendableBalance: string;
            lastSyncDate: string;
            blockHeight?: number | undefined;
            parentAccountId?: string | undefined;
        }[];
    }, {
        rawAccounts: {
            id: string;
            address: string;
            name: string;
            currency: string;
            balance: string;
            spendableBalance: string;
            lastSyncDate: string;
            blockHeight?: number | undefined;
            parentAccountId?: string | undefined;
        }[];
    }>;
};
export type AccountList = {
    params: z.infer<typeof schemaAccountListParams>;
    result: z.infer<typeof schemaAccountListResults>;
};
export type AccountListHandler = (params: AccountList["params"]) => AccountList["result"];
export {};
//# sourceMappingURL=AccountList.d.ts.map