import { z } from "zod";
declare const schemaAccountReceiveParams: z.ZodObject<{
    accountId: z.ZodString;
    tokenCurrency: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    accountId: string;
    tokenCurrency?: string | undefined;
}, {
    accountId: string;
    tokenCurrency?: string | undefined;
}>;
declare const schemaAccountReceiveResults: z.ZodObject<{
    address: z.ZodString;
}, "strip", z.ZodTypeAny, {
    address: string;
}, {
    address: string;
}>;
export declare const schemaAccountReceive: {
    params: z.ZodObject<{
        accountId: z.ZodString;
        tokenCurrency: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        accountId: string;
        tokenCurrency?: string | undefined;
    }, {
        accountId: string;
        tokenCurrency?: string | undefined;
    }>;
    result: z.ZodObject<{
        address: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        address: string;
    }, {
        address: string;
    }>;
};
export type AccountReceive = {
    params: z.infer<typeof schemaAccountReceiveParams>;
    result: z.infer<typeof schemaAccountReceiveResults>;
};
export type AccountReceiveHandler = (params: AccountReceive["params"]) => AccountReceive["result"];
export {};
//# sourceMappingURL=AccountReceive.d.ts.map