import { z } from "zod";
declare const schemaAccountRequestParams: z.ZodObject<{
    currencyIds: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    showAccountFilter: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    currencyIds?: string[] | undefined;
    showAccountFilter?: boolean | undefined;
}, {
    currencyIds?: string[] | undefined;
    showAccountFilter?: boolean | undefined;
}>;
declare const schemaAccountRequestResults: z.ZodObject<{
    rawAccount: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        address: z.ZodString;
        currency: z.ZodString;
        balance: z.ZodString;
        spendableBalance: z.ZodString;
        blockHeight: z.ZodUnion<[z.ZodNumber, z.ZodUndefined]>;
        lastSyncDate: z.ZodString;
        parentAccountId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id: string;
        address: string;
        name: string;
        currency: string;
        balance: string;
        spendableBalance: string;
        lastSyncDate: string;
        blockHeight?: number | undefined;
        parentAccountId?: string | undefined;
    }, {
        id: string;
        address: string;
        name: string;
        currency: string;
        balance: string;
        spendableBalance: string;
        lastSyncDate: string;
        blockHeight?: number | undefined;
        parentAccountId?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    rawAccount: {
        id: string;
        address: string;
        name: string;
        currency: string;
        balance: string;
        spendableBalance: string;
        lastSyncDate: string;
        blockHeight?: number | undefined;
        parentAccountId?: string | undefined;
    };
}, {
    rawAccount: {
        id: string;
        address: string;
        name: string;
        currency: string;
        balance: string;
        spendableBalance: string;
        lastSyncDate: string;
        blockHeight?: number | undefined;
        parentAccountId?: string | undefined;
    };
}>;
export declare const schemaAccountRequest: {
    params: z.ZodObject<{
        currencyIds: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        showAccountFilter: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        currencyIds?: string[] | undefined;
        showAccountFilter?: boolean | undefined;
    }, {
        currencyIds?: string[] | undefined;
        showAccountFilter?: boolean | undefined;
    }>;
    result: z.ZodObject<{
        rawAccount: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            address: z.ZodString;
            currency: z.ZodString;
            balance: z.ZodString;
            spendableBalance: z.ZodString;
            blockHeight: z.ZodUnion<[z.ZodNumber, z.ZodUndefined]>;
            lastSyncDate: z.ZodString;
            parentAccountId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            address: string;
            name: string;
            currency: string;
            balance: string;
            spendableBalance: string;
            lastSyncDate: string;
            blockHeight?: number | undefined;
            parentAccountId?: string | undefined;
        }, {
            id: string;
            address: string;
            name: string;
            currency: string;
            balance: string;
            spendableBalance: string;
            lastSyncDate: string;
            blockHeight?: number | undefined;
            parentAccountId?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        rawAccount: {
            id: string;
            address: string;
            name: string;
            currency: string;
            balance: string;
            spendableBalance: string;
            lastSyncDate: string;
            blockHeight?: number | undefined;
            parentAccountId?: string | undefined;
        };
    }, {
        rawAccount: {
            id: string;
            address: string;
            name: string;
            currency: string;
            balance: string;
            spendableBalance: string;
            lastSyncDate: string;
            blockHeight?: number | undefined;
            parentAccountId?: string | undefined;
        };
    }>;
};
export type AccountRequest = {
    params: z.infer<typeof schemaAccountRequestParams>;
    result: z.infer<typeof schemaAccountRequestResults>;
};
export type AccountRequestHandler = (params: AccountRequest["params"]) => AccountRequest["result"];
export {};
//# sourceMappingURL=AccountRequest.d.ts.map