import { z } from "zod";
declare const schemaBitcoinGetPublicKeyParams: z.ZodObject<{
    accountId: z.ZodString;
    derivationPath: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    accountId: string;
    derivationPath?: string | undefined;
}, {
    accountId: string;
    derivationPath?: string | undefined;
}>;
declare const schemaBitcoinGetPublicKeyResults: z.ZodObject<{
    publicKey: z.ZodString;
}, "strip", z.ZodTypeAny, {
    publicKey: string;
}, {
    publicKey: string;
}>;
export declare const schemaBitcoinGetPublicKey: {
    params: z.ZodObject<{
        accountId: z.ZodString;
        derivationPath: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        accountId: string;
        derivationPath?: string | undefined;
    }, {
        accountId: string;
        derivationPath?: string | undefined;
    }>;
    result: z.ZodObject<{
        publicKey: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        publicKey: string;
    }, {
        publicKey: string;
    }>;
};
export type BitcoinGetPublicKey = {
    params: z.infer<typeof schemaBitcoinGetPublicKeyParams>;
    result: z.infer<typeof schemaBitcoinGetPublicKeyResults>;
};
export type BitcoinGetPublicKeyHandler = (params: BitcoinGetPublicKey["params"]) => BitcoinGetPublicKey["result"];
export {};
//# sourceMappingURL=BitcoinGetPublicKey.d.ts.map