import { z } from "zod";
declare const schemaMessageSignParams: z.ZodObject<{
    accountId: z.ZodString;
    hexMessage: z.ZodString;
    options: z.ZodOptional<z.ZodObject<{
        hwAppId: z.ZodOptional<z.ZodString>;
        dependencies: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    }, "strip", z.ZodTypeAny, {
        hwAppId?: string | undefined;
        dependencies?: string[] | undefined;
    }, {
        hwAppId?: string | undefined;
        dependencies?: string[] | undefined;
    }>>;
    meta: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
}, "strip", z.ZodTypeAny, {
    accountId: string;
    hexMessage: string;
    options?: {
        hwAppId?: string | undefined;
        dependencies?: string[] | undefined;
    } | undefined;
    meta?: Record<string, unknown> | undefined;
}, {
    accountId: string;
    hexMessage: string;
    options?: {
        hwAppId?: string | undefined;
        dependencies?: string[] | undefined;
    } | undefined;
    meta?: Record<string, unknown> | undefined;
}>;
declare const schemaMessageSignResults: z.ZodObject<{
    hexSignedMessage: z.ZodString;
}, "strip", z.ZodTypeAny, {
    hexSignedMessage: string;
}, {
    hexSignedMessage: string;
}>;
export declare const schemaMessageSign: {
    params: z.ZodObject<{
        accountId: z.ZodString;
        hexMessage: z.ZodString;
        options: z.ZodOptional<z.ZodObject<{
            hwAppId: z.ZodOptional<z.ZodString>;
            dependencies: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            hwAppId?: string | undefined;
            dependencies?: string[] | undefined;
        }, {
            hwAppId?: string | undefined;
            dependencies?: string[] | undefined;
        }>>;
        meta: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    }, "strip", z.ZodTypeAny, {
        accountId: string;
        hexMessage: string;
        options?: {
            hwAppId?: string | undefined;
            dependencies?: string[] | undefined;
        } | undefined;
        meta?: Record<string, unknown> | undefined;
    }, {
        accountId: string;
        hexMessage: string;
        options?: {
            hwAppId?: string | undefined;
            dependencies?: string[] | undefined;
        } | undefined;
        meta?: Record<string, unknown> | undefined;
    }>;
    result: z.ZodObject<{
        hexSignedMessage: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        hexSignedMessage: string;
    }, {
        hexSignedMessage: string;
    }>;
};
export type MessageSign = {
    params: z.infer<typeof schemaMessageSignParams>;
    result: z.infer<typeof schemaMessageSignResults>;
};
export type MessageSignHandler = (params: MessageSign["params"]) => MessageSign["result"];
export {};
//# sourceMappingURL=MessageSign.d.ts.map