import { z } from "zod";
declare const schemaStorageSetParams: z.ZodObject<{
    key: z.ZodString;
    value: z.ZodString;
    storeId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    key: string;
    value: string;
    storeId?: string | undefined;
}, {
    key: string;
    value: string;
    storeId?: string | undefined;
}>;
declare const schemaStorageSetResults: z.ZodOptional<z.ZodVoid>;
export declare const schemaStorageSet: {
    params: z.ZodObject<{
        key: z.ZodString;
        value: z.ZodString;
        storeId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        key: string;
        value: string;
        storeId?: string | undefined;
    }, {
        key: string;
        value: string;
        storeId?: string | undefined;
    }>;
    result: z.ZodOptional<z.ZodVoid>;
};
export type StorageSet = {
    params: z.infer<typeof schemaStorageSetParams>;
    result: z.infer<typeof schemaStorageSetResults>;
};
export type StorageSetHandler = (params: StorageSet["params"]) => StorageSet["result"];
export {};
//# sourceMappingURL=StorageSet.d.ts.map