import { z } from "zod";
export declare const schemaRPCRequest: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    method: z.ZodString;
    params: z.ZodAny;
    id: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodNull]>>;
}, "strict", z.ZodTypeAny, {
    method: string;
    jsonrpc: "2.0";
    params?: any;
    id?: string | number | null | undefined;
}, {
    method: string;
    jsonrpc: "2.0";
    params?: any;
    id?: string | number | null | undefined;
}>;
export declare const schemaRPCResponseErrorData: z.ZodObject<{
    code: z.ZodNumber;
    message: z.ZodString;
    data: z.ZodOptional<z.ZodAny>;
}, "strict", z.ZodTypeAny, {
    code: number;
    message: string;
    data?: any;
}, {
    code: number;
    message: string;
    data?: any;
}>;
export declare const schemaRPCResponseSuccess: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodNull]>;
    result: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, "strict", z.ZodTypeAny, {
    id: string | number | null;
    jsonrpc: "2.0";
    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    id: string | number | null;
    jsonrpc: "2.0";
    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}>;
export declare const schemaRPCResponseError: z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodNull]>;
    error: z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
        data: z.ZodOptional<z.ZodAny>;
    }, "strict", z.ZodTypeAny, {
        code: number;
        message: string;
        data?: any;
    }, {
        code: number;
        message: string;
        data?: any;
    }>;
}, "strict", z.ZodTypeAny, {
    error: {
        code: number;
        message: string;
        data?: any;
    };
    id: string | number | null;
    jsonrpc: "2.0";
}, {
    error: {
        code: number;
        message: string;
        data?: any;
    };
    id: string | number | null;
    jsonrpc: "2.0";
}>;
export declare const schemaRPCResponse: z.ZodUnion<[z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodNull]>;
    error: z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
        data: z.ZodOptional<z.ZodAny>;
    }, "strict", z.ZodTypeAny, {
        code: number;
        message: string;
        data?: any;
    }, {
        code: number;
        message: string;
        data?: any;
    }>;
}, "strict", z.ZodTypeAny, {
    error: {
        code: number;
        message: string;
        data?: any;
    };
    id: string | number | null;
    jsonrpc: "2.0";
}, {
    error: {
        code: number;
        message: string;
        data?: any;
    };
    id: string | number | null;
    jsonrpc: "2.0";
}>, z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodNull]>;
    result: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, "strict", z.ZodTypeAny, {
    id: string | number | null;
    jsonrpc: "2.0";
    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    id: string | number | null;
    jsonrpc: "2.0";
    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}>]>;
export declare const schemaRPCCall: z.ZodUnion<[z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    method: z.ZodString;
    params: z.ZodAny;
    id: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodNull]>>;
}, "strict", z.ZodTypeAny, {
    method: string;
    jsonrpc: "2.0";
    params?: any;
    id?: string | number | null | undefined;
}, {
    method: string;
    jsonrpc: "2.0";
    params?: any;
    id?: string | number | null | undefined;
}>, z.ZodUnion<[z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodNull]>;
    error: z.ZodObject<{
        code: z.ZodNumber;
        message: z.ZodString;
        data: z.ZodOptional<z.ZodAny>;
    }, "strict", z.ZodTypeAny, {
        code: number;
        message: string;
        data?: any;
    }, {
        code: number;
        message: string;
        data?: any;
    }>;
}, "strict", z.ZodTypeAny, {
    error: {
        code: number;
        message: string;
        data?: any;
    };
    id: string | number | null;
    jsonrpc: "2.0";
}, {
    error: {
        code: number;
        message: string;
        data?: any;
    };
    id: string | number | null;
    jsonrpc: "2.0";
}>, z.ZodObject<{
    jsonrpc: z.ZodLiteral<"2.0">;
    id: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodNull]>;
    result: z.ZodOptional<z.ZodObject<{}, "passthrough", z.ZodTypeAny, z.objectOutputType<{}, z.ZodTypeAny, "passthrough">, z.objectInputType<{}, z.ZodTypeAny, "passthrough">>>;
}, "strict", z.ZodTypeAny, {
    id: string | number | null;
    jsonrpc: "2.0";
    result?: z.objectOutputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}, {
    id: string | number | null;
    jsonrpc: "2.0";
    result?: z.objectInputType<{}, z.ZodTypeAny, "passthrough"> | undefined;
}>]>]>;
//# sourceMappingURL=validation.d.ts.map