import { z } from "zod";
export declare const schemaAlgorandOperationMode: z.ZodEnum<["send", "optIn", "claimReward", "optOut"]>;
export declare const schemaRawAlgorandTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"algorand">;
    mode: z.ZodEnum<["send", "optIn", "claimReward", "optOut"]>;
    fees: z.ZodOptional<z.ZodString>;
    assetId: z.ZodOptional<z.ZodString>;
    memo: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "algorand";
    amount: string;
    recipient: string;
    mode: "send" | "optIn" | "claimReward" | "optOut";
    fees?: string | undefined;
    assetId?: string | undefined;
    memo?: string | undefined;
}, {
    family: "algorand";
    amount: string;
    recipient: string;
    mode: "send" | "optIn" | "claimReward" | "optOut";
    fees?: string | undefined;
    assetId?: string | undefined;
    memo?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map