"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawAlgorandTransaction = exports.schemaAlgorandOperationMode = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaAlgorandOperationMode = zod_1.z.enum([
    "send",
    "optIn",
    "claimReward",
    "optOut",
]);
exports.schemaRawAlgorandTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.algorand),
    mode: exports.schemaAlgorandOperationMode,
    fees: zod_1.z.string().optional(),
    assetId: zod_1.z.string().optional(),
    memo: zod_1.z.string().optional(),
});
//# sourceMappingURL=validation.js.map