"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeBitcoinTransaction = exports.serializeBitcoinTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
function serializeBitcoinTransaction({ family, amount, recipient, feePerByte, opReturnData, }) {
    return {
        family,
        amount: amount.toString(),
        recipient,
        feePerByte: feePerByte?.toString(),
        opReturnDataHex: opReturnData?.toString("hex"),
    };
}
exports.serializeBitcoinTransaction = serializeBitcoinTransaction;
function deserializeBitcoinTransaction({ family, amount, recipient, feePerByte, opReturnDataHex, }) {
    return {
        family,
        amount: new bignumber_js_1.default(amount),
        recipient,
        feePerByte: feePerByte ? new bignumber_js_1.default(feePerByte) : undefined,
        opReturnData: opReturnDataHex
            ? Buffer.from(opReturnDataHex, "hex")
            : undefined,
    };
}
exports.deserializeBitcoinTransaction = deserializeBitcoinTransaction;
//# sourceMappingURL=serializer.js.map