"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeCardanoTransaction = exports.serializeCardanoTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
function serializeCardanoTransaction({ amount, family, fees, memo, mode, recipient, }) {
    return {
        amount: amount.toString(),
        family,
        fees: fees ? fees.toString() : undefined,
        memo,
        mode,
        recipient,
    };
}
exports.serializeCardanoTransaction = serializeCardanoTransaction;
function deserializeCardanoTransaction({ amount, family, fees, memo, mode, recipient, }) {
    return {
        amount: new bignumber_js_1.default(amount),
        family,
        fees: fees ? new bignumber_js_1.default(fees) : undefined,
        memo,
        mode,
        recipient,
    };
}
exports.deserializeCardanoTransaction = deserializeCardanoTransaction;
//# sourceMappingURL=serializer.js.map