"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeCeloTransaction = exports.serializeCeloTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
function serializeCeloTransaction({ amount, family, fees = undefined, index = undefined, mode, recipient, }) {
    return {
        amount: amount.toString(),
        family,
        fees: fees ? fees.toString() : undefined,
        index,
        mode,
        recipient,
    };
}
exports.serializeCeloTransaction = serializeCeloTransaction;
function deserializeCeloTransaction({ amount, family, fees = undefined, index = undefined, mode, recipient, }) {
    return {
        amount: new bignumber_js_1.default(amount),
        family,
        fees: fees ? new bignumber_js_1.default(fees) : undefined,
        index,
        mode,
        recipient,
    };
}
exports.deserializeCeloTransaction = deserializeCeloTransaction;
//# sourceMappingURL=serializer.js.map