"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawCeloTransaction = exports.schemaOperationMode = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaOperationMode = zod_1.z.enum([
    "send",
    "lock",
    "unlock",
    "withdraw",
    "vote",
    "revoke",
    "activate",
    "register",
]);
exports.schemaRawCeloTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.celo),
    fees: zod_1.z.string().optional().nullable(),
    mode: exports.schemaOperationMode,
    index: zod_1.z.number().optional().nullable(),
});
//# sourceMappingURL=validation.js.map