"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeElrondTransaction = exports.serializeElrondTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
function serializeElrondTransaction({ amount, data, family, fees, gasLimit, mode, recipient, }) {
    return {
        family,
        amount: amount.toString(),
        recipient,
        mode,
        fees: fees ? fees.toString() : undefined,
        data,
        gasLimit,
    };
}
exports.serializeElrondTransaction = serializeElrondTransaction;
function deserializeElrondTransaction({ amount, data, family, fees, gasLimit, mode, recipient, }) {
    return {
        family,
        mode,
        amount: new bignumber_js_1.default(amount),
        recipient,
        fees: fees ? new bignumber_js_1.default(fees) : undefined,
        data,
        gasLimit,
    };
}
exports.deserializeElrondTransaction = deserializeElrondTransaction;
//# sourceMappingURL=serializer.js.map