import { z } from "zod";
export declare const schemaOperationMode: z.ZodEnum<["send", "delegate", "reDelegateRewards", "unDelegate", "claimRewards", "withdraw"]>;
export type ElrondOperationMode = z.infer<typeof schemaOperationMode>;
export declare const schemaRawElrondTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"elrond">;
    mode: z.ZodUnion<[z.ZodLiteral<"send">, z.ZodLiteral<"delegate">, z.ZodLiteral<"reDelegateRewards">, z.ZodLiteral<"unDelegate">, z.ZodLiteral<"claimRewards">, z.ZodLiteral<"withdraw">]>;
    fees: z.ZodOptional<z.ZodString>;
    data: z.ZodOptional<z.ZodString>;
    gasLimit: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    family: "elrond";
    amount: string;
    recipient: string;
    mode: "send" | "withdraw" | "delegate" | "reDelegateRewards" | "unDelegate" | "claimRewards";
    gasLimit: number;
    fees?: string | undefined;
    data?: string | undefined;
}, {
    family: "elrond";
    amount: string;
    recipient: string;
    mode: "send" | "withdraw" | "delegate" | "reDelegateRewards" | "unDelegate" | "claimRewards";
    gasLimit: number;
    fees?: string | undefined;
    data?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map