"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawElrondTransaction = exports.schemaOperationMode = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaOperationMode = zod_1.z.enum([
    "send",
    "delegate",
    "reDelegateRewards",
    "unDelegate",
    "claimRewards",
    "withdraw",
]);
exports.schemaRawElrondTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.elrond),
    mode: zod_1.z.union([
        zod_1.z.literal("send"),
        zod_1.z.literal("delegate"),
        zod_1.z.literal("reDelegateRewards"),
        zod_1.z.literal("unDelegate"),
        zod_1.z.literal("claimRewards"),
        zod_1.z.literal("withdraw"),
    ]),
    fees: zod_1.z.string().optional(),
    data: zod_1.z.string().optional(),
    gasLimit: zod_1.z.number(),
});
//# sourceMappingURL=validation.js.map