import { z } from "zod";
export declare const schemaRawEthereumTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"ethereum">;
    nonce: z.ZodOptional<z.ZodNumber>;
    data: z.ZodOptional<z.ZodString>;
    gasPrice: z.ZodOptional<z.ZodString>;
    gasLimit: z.ZodOptional<z.ZodString>;
    maxPriorityFeePerGas: z.ZodOptional<z.ZodString>;
    maxFeePerGas: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    family: "ethereum";
    amount: string;
    recipient: string;
    nonce?: number | undefined;
    data?: string | undefined;
    gasPrice?: string | undefined;
    gasLimit?: string | undefined;
    maxPriorityFeePerGas?: string | undefined;
    maxFeePerGas?: string | undefined;
}, {
    family: "ethereum";
    amount: string;
    recipient: string;
    nonce?: number | undefined;
    data?: string | undefined;
    gasPrice?: string | undefined;
    gasLimit?: string | undefined;
    maxPriorityFeePerGas?: string | undefined;
    maxFeePerGas?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map