"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeFilecoinTransaction = exports.serializeFilecoinTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
function serializeFilecoinTransaction({ amount, data = undefined, family, method, nonce, params = undefined, gasLimit, gasFeeCap, gasPremium, recipient, version, }) {
    return {
        amount: amount.toString(),
        data: data ? data.toString("hex") : undefined,
        family,
        gasLimit: gasLimit.toNumber(),
        gasFeeCap: gasFeeCap.toString(),
        gasPremium: gasPremium.toString(),
        method,
        nonce,
        params,
        recipient,
        version,
    };
}
exports.serializeFilecoinTransaction = serializeFilecoinTransaction;
function deserializeFilecoinTransaction({ amount, data = undefined, family, method, nonce, params = undefined, gasLimit, gasFeeCap, gasPremium, recipient, version, }) {
    return {
        amount: new bignumber_js_1.default(amount),
        data: data ? Buffer.from(data, "hex") : undefined,
        family,
        gasLimit: new bignumber_js_1.default(gasLimit),
        gasFeeCap: new bignumber_js_1.default(gasFeeCap),
        gasPremium: new bignumber_js_1.default(gasPremium),
        nonce,
        method,
        params,
        recipient,
        version,
    };
}
exports.deserializeFilecoinTransaction = deserializeFilecoinTransaction;
//# sourceMappingURL=serializer.js.map