import { z } from "zod";
export declare const schemaRawFilecoinTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    data: z.ZodOptional<z.ZodString>;
    family: z.ZodLiteral<"filecoin">;
    gasLimit: z.ZodNumber;
    gasFeeCap: z.ZodString;
    gasPremium: z.ZodString;
    method: z.ZodNumber;
    nonce: z.ZodNumber;
    params: z.ZodOptional<z.ZodString>;
    version: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    method: number;
    nonce: number;
    family: "filecoin";
    amount: string;
    recipient: string;
    gasLimit: number;
    gasFeeCap: string;
    gasPremium: string;
    version: number;
    data?: string | undefined;
    params?: string | undefined;
}, {
    method: number;
    nonce: number;
    family: "filecoin";
    amount: string;
    recipient: string;
    gasLimit: number;
    gasFeeCap: string;
    gasPremium: string;
    version: number;
    data?: string | undefined;
    params?: string | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map