"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawPolkadotTransaction = exports.schemaPolkadotRewardDestination = exports.schemaPolkadotOperationMode = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaPolkadotOperationMode = zod_1.z.enum([
    "send",
    "bond",
    "unbond",
    "rebond",
    "withdrawUnbonded",
    "setController",
    "nominate",
    "chill",
    "claimReward",
]);
exports.schemaPolkadotRewardDestination = zod_1.z.enum([
    "Staked",
    "Stash",
    "Controller",
    "Account",
    "None",
]);
exports.schemaRawPolkadotTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.polkadot),
    mode: exports.schemaPolkadotOperationMode,
    fee: zod_1.z.string().optional(),
    era: zod_1.z.number().optional(),
    validators: zod_1.z.array(zod_1.z.string()).optional(),
    rewardDestination: exports.schemaPolkadotRewardDestination.optional(),
    numOfSlashingSpans: zod_1.z.number().optional(),
});
//# sourceMappingURL=validation.js.map