"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeSolanaTransaction = exports.serializeSolanaTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
function serializeSolanaTransaction({ amount, family, model, recipient, raw, }) {
    return {
        amount: amount.toString(),
        family,
        model: JSON.stringify(model),
        recipient,
        raw,
    };
}
exports.serializeSolanaTransaction = serializeSolanaTransaction;
function deserializeSolanaTransaction({ family, amount, model, recipient, raw, }) {
    return {
        amount: new bignumber_js_1.default(amount),
        family,
        // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment
        model: JSON.parse(model),
        recipient,
        raw,
    };
}
exports.deserializeSolanaTransaction = deserializeSolanaTransaction;
//# sourceMappingURL=serializer.js.map