"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeStacksTransaction = exports.serializeStacksTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const serializeStacksTransaction = ({ amount, recipient, family, fee, nonce, memo, network, anchorMode, }) => ({
    amount: amount.toString(),
    recipient,
    family,
    fee: fee?.toString(),
    nonce: nonce?.toString(),
    memo,
    network,
    anchorMode,
});
exports.serializeStacksTransaction = serializeStacksTransaction;
const deserializeStacksTransaction = ({ amount, recipient, family, fee, nonce, memo, network, anchorMode, }) => ({
    amount: new bignumber_js_1.default(amount),
    recipient,
    family,
    fee: fee ? new bignumber_js_1.default(fee) : undefined,
    nonce: nonce ? new bignumber_js_1.default(nonce) : undefined,
    memo,
    network: network === "mainnet" ? network : "testnet",
    anchorMode,
});
exports.deserializeStacksTransaction = deserializeStacksTransaction;
//# sourceMappingURL=serializer.js.map