"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeStellarTransaction = exports.serializeStellarTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const serializeStellarTransaction = ({ amount, recipient, family, fees, memoType, memoValue, }) => ({
    amount: amount.toString(),
    recipient,
    family,
    fees: fees ? fees.toString() : undefined,
    memoType,
    memoValue,
});
exports.serializeStellarTransaction = serializeStellarTransaction;
const deserializeStellarTransaction = ({ amount, recipient, family, fees, memoType, memoValue, }) => ({
    amount: new bignumber_js_1.default(amount),
    recipient,
    family,
    fees: fees ? new bignumber_js_1.default(fees) : undefined,
    memoType,
    memoValue,
});
exports.deserializeStellarTransaction = deserializeStellarTransaction;
//# sourceMappingURL=serializer.js.map