"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeSuiTransaction = exports.serializeSuiTransaction = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
function serializeSuiTransaction({ amount, recipient, family, mode, fees, }) {
    return {
        amount: amount.toString(),
        recipient,
        family,
        mode,
        fees: fees?.toString(),
    };
}
exports.serializeSuiTransaction = serializeSuiTransaction;
function deserializeSuiTransaction({ amount, recipient, family, mode, fees, }) {
    return {
        amount: new bignumber_js_1.default(amount),
        recipient,
        family,
        mode,
        fees: fees ? new bignumber_js_1.default(fees) : undefined,
    };
}
exports.deserializeSuiTransaction = deserializeSuiTransaction;
//# sourceMappingURL=serializer.js.map