"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawTonTransaction = exports.schemaTonPayloadFormatRaw = exports.schemaTonPayloadTokenBridgePaySwapRaw = exports.schemaTonPayloadChangeDnsRecordRaw = exports.schemaTonPayloadVoteForProposalRaw = exports.schemaTonPayloadTonStakersDepositRaw = exports.schemaTonPayloadSingleNominatorChangeValidatorRaw = exports.schemaTonPayloadSingleNominatorWithdrawRaw = exports.schemaTonPayloadAddWhitelistRaw = exports.schemaTonPayloadJettonBurnRaw = exports.schemaTonPayloadUnsafeRaw = exports.schemaTonPayloadCommentRaw = exports.schemaTonPayloadNftTransferRaw = exports.schemaTonPayloadJettonTransferRaw = exports.schemaTonComment = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaTonComment = zod_1.z.object({
    isEncrypted: zod_1.z.boolean(),
    text: zod_1.z.string(),
});
exports.schemaTonPayloadJettonTransferRaw = zod_1.z.object({
    type: zod_1.z.literal("jetton-transfer"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    amount: zod_1.z.string(),
    destination: zod_1.z.string(),
    responseDestination: zod_1.z.string(),
    customPayload: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    forwardAmount: zod_1.z.string(),
    forwardPayload: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    knownJetton: zod_1.z.union([
        zod_1.z.object({
            jettonId: zod_1.z.number(),
            workchain: zod_1.z.number(),
        }),
        zod_1.z.null(),
    ]),
});
exports.schemaTonPayloadNftTransferRaw = zod_1.z.object({
    type: zod_1.z.literal("nft-transfer"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    newOwner: zod_1.z.string(),
    responseDestination: zod_1.z.string(),
    customPayload: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    forwardAmount: zod_1.z.string(),
    forwardPayload: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
});
exports.schemaTonPayloadCommentRaw = zod_1.z.object({
    type: zod_1.z.literal("comment"),
    text: zod_1.z.string(),
});
exports.schemaTonPayloadUnsafeRaw = zod_1.z.object({
    type: zod_1.z.literal("unsafe"),
    message: zod_1.z.string(),
});
exports.schemaTonPayloadJettonBurnRaw = zod_1.z.object({
    type: zod_1.z.literal("jetton-burn"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    amount: zod_1.z.string(),
    responseDestination: zod_1.z.string(),
    customPayload: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
});
exports.schemaTonPayloadAddWhitelistRaw = zod_1.z.object({
    type: zod_1.z.literal("add-whitelist"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    address: zod_1.z.string(),
});
exports.schemaTonPayloadSingleNominatorWithdrawRaw = zod_1.z.object({
    type: zod_1.z.literal("single-nominator-withdraw"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    amount: zod_1.z.string(),
});
exports.schemaTonPayloadSingleNominatorChangeValidatorRaw = zod_1.z.object({
    type: zod_1.z.literal("single-nominator-change-validator"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    address: zod_1.z.string(),
});
exports.schemaTonPayloadTonStakersDepositRaw = zod_1.z.object({
    type: zod_1.z.literal("tonstakers-deposit"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    appId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
});
exports.schemaTonPayloadVoteForProposalRaw = zod_1.z.object({
    type: zod_1.z.literal("vote-for-proposal"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    votingAddress: zod_1.z.string(),
    expirationDate: zod_1.z.number(),
    vote: zod_1.z.boolean(),
    needConfirmation: zod_1.z.boolean(),
});
exports.schemaTonPayloadChangeDnsRecordRaw = zod_1.z.object({
    type: zod_1.z.literal("change-dns-record"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    record: zod_1.z.union([
        zod_1.z.object({
            type: zod_1.z.literal("wallet"),
            value: zod_1.z.union([
                zod_1.z.object({
                    address: zod_1.z.string(),
                    capabilities: zod_1.z.union([
                        zod_1.z.object({
                            isWallet: zod_1.z.boolean(),
                        }),
                        zod_1.z.null(),
                    ]),
                }),
                zod_1.z.null(),
            ]),
        }),
        zod_1.z.object({
            type: zod_1.z.literal("unknown"),
            key: zod_1.z.string(),
            value: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
        }),
    ]),
});
exports.schemaTonPayloadTokenBridgePaySwapRaw = zod_1.z.object({
    type: zod_1.z.literal("token-bridge-pay-swap"),
    queryId: zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
    swapId: zod_1.z.string(),
});
exports.schemaTonPayloadFormatRaw = zod_1.z.union([
    exports.schemaTonPayloadCommentRaw,
    exports.schemaTonPayloadJettonTransferRaw,
    exports.schemaTonPayloadNftTransferRaw,
    exports.schemaTonPayloadUnsafeRaw,
    exports.schemaTonPayloadJettonBurnRaw,
    exports.schemaTonPayloadAddWhitelistRaw,
    exports.schemaTonPayloadSingleNominatorWithdrawRaw,
    exports.schemaTonPayloadSingleNominatorChangeValidatorRaw,
    exports.schemaTonPayloadTonStakersDepositRaw,
    exports.schemaTonPayloadVoteForProposalRaw,
    exports.schemaTonPayloadChangeDnsRecordRaw,
    exports.schemaTonPayloadTokenBridgePaySwapRaw,
]);
exports.schemaRawTonTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.ton),
    fees: zod_1.z.string(),
    comment: exports.schemaTonComment,
    payload: exports.schemaTonPayloadFormatRaw.optional(),
});
//# sourceMappingURL=validation.js.map