import { z } from "zod";
export declare const schemaTronOperationMode: z.ZodEnum<["send", "freeze", "unfreeze", "vote", "claimReward", "withdrawExpireUnfreeze", "unDelegateResource", "legacyUnfreeze"]>;
export declare const schemaTronResource: z.ZodEnum<["BANDWIDTH", "ENERGY"]>;
export declare const schemaTronVotes: z.ZodObject<{
    address: z.ZodString;
    voteCount: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    address: string;
    voteCount: number;
}, {
    address: string;
    voteCount: number;
}>;
export declare const schemaRawTronTransaction: z.ZodObject<{
    amount: z.ZodString;
    recipient: z.ZodString;
    family: z.ZodLiteral<"tron">;
    mode: z.ZodEnum<["send", "freeze", "unfreeze", "vote", "claimReward", "withdrawExpireUnfreeze", "unDelegateResource", "legacyUnfreeze"]>;
    resource: z.ZodOptional<z.ZodEnum<["BANDWIDTH", "ENERGY"]>>;
    duration: z.ZodOptional<z.ZodNumber>;
    votes: z.ZodOptional<z.ZodArray<z.ZodObject<{
        address: z.ZodString;
        voteCount: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        address: string;
        voteCount: number;
    }, {
        address: string;
        voteCount: number;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    family: "tron";
    amount: string;
    recipient: string;
    mode: "send" | "claimReward" | "vote" | "freeze" | "unfreeze" | "withdrawExpireUnfreeze" | "unDelegateResource" | "legacyUnfreeze";
    resource?: "BANDWIDTH" | "ENERGY" | undefined;
    duration?: number | undefined;
    votes?: {
        address: string;
        voteCount: number;
    }[] | undefined;
}, {
    family: "tron";
    amount: string;
    recipient: string;
    mode: "send" | "claimReward" | "vote" | "freeze" | "unfreeze" | "withdrawExpireUnfreeze" | "unDelegateResource" | "legacyUnfreeze";
    resource?: "BANDWIDTH" | "ENERGY" | undefined;
    duration?: number | undefined;
    votes?: {
        address: string;
        voteCount: number;
    }[] | undefined;
}>;
//# sourceMappingURL=validation.d.ts.map