"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawTronTransaction = exports.schemaTronVotes = exports.schemaTronResource = exports.schemaTronOperationMode = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
exports.schemaTronOperationMode = zod_1.z.enum([
    "send",
    "freeze",
    "unfreeze",
    "vote",
    "claimReward",
    "withdrawExpireUnfreeze",
    "unDelegateResource",
    "legacyUnfreeze",
]);
exports.schemaTronResource = zod_1.z.enum(["BANDWIDTH", "ENERGY"]);
exports.schemaTronVotes = zod_1.z.object({
    address: zod_1.z.string(),
    voteCount: zod_1.z.number(),
});
exports.schemaRawTronTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.tron),
    mode: exports.schemaTronOperationMode,
    resource: exports.schemaTronResource.optional(),
    duration: zod_1.z.number().optional(),
    votes: zod_1.z.array(exports.schemaTronVotes).optional(),
});
//# sourceMappingURL=validation.js.map