"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaRawVechainTransaction = exports.schemaThorTransactionBody = exports.schemaThorTransactionClause = void 0;
const zod_1 = require("zod");
const common_1 = require("../common");
// Generated from VeChain Thor Transaction types
exports.schemaThorTransactionClause = zod_1.z.object({
    to: zod_1.z.string().nullable(),
    value: zod_1.z.union([zod_1.z.string(), zod_1.z.number()]),
    data: zod_1.z.string(),
});
// Generated from VeChain Thor Transaction types
// with Buffer type removed for `reserved.unused`
exports.schemaThorTransactionBody = zod_1.z.object({
    chainTag: zod_1.z.number(),
    blockRef: zod_1.z.string(),
    expiration: zod_1.z.number(),
    clauses: zod_1.z.array(exports.schemaThorTransactionClause),
    gasPriceCoef: zod_1.z.number(),
    gas: zod_1.z.union([zod_1.z.string(), zod_1.z.number()]),
    dependsOn: zod_1.z.string().nullable(),
    nonce: zod_1.z.union([zod_1.z.string(), zod_1.z.number()]),
    reserved: zod_1.z
        .object({
        features: zod_1.z.number().optional(),
        unused: zod_1.z.array(zod_1.z.any()).optional(),
    })
        .optional(),
});
exports.schemaRawVechainTransaction = common_1.schemaTransactionCommon.extend({
    family: zod_1.z.literal(common_1.schemaFamilies.enum.vechain),
    estimatedFees: zod_1.z.string(),
    body: exports.schemaThorTransactionBody,
});
//# sourceMappingURL=validation.js.map