import { z } from "zod";
declare const schemaBitcoinGetAddressParams: z.ZodObject<{
    accountId: z.ZodString;
    derivationPath: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    accountId: string;
    derivationPath?: string | undefined;
}, {
    accountId: string;
    derivationPath?: string | undefined;
}>;
declare const schemaBitcoinGetAddressResults: z.ZodObject<{
    address: z.ZodString;
}, "strip", z.ZodTypeAny, {
    address: string;
}, {
    address: string;
}>;
export declare const schemaBitcoinGetAddress: {
    params: z.ZodObject<{
        accountId: z.ZodString;
        derivationPath: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        accountId: string;
        derivationPath?: string | undefined;
    }, {
        accountId: string;
        derivationPath?: string | undefined;
    }>;
    result: z.ZodObject<{
        address: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        address: string;
    }, {
        address: string;
    }>;
};
export type BitcoinGetAddress = {
    params: z.infer<typeof schemaBitcoinGetAddressParams>;
    result: z.infer<typeof schemaBitcoinGetAddressResults>;
};
export type BitcoinGetAddressHandler = (params: BitcoinGetAddress["params"]) => BitcoinGetAddress["result"];
export {};
//# sourceMappingURL=BitcoinGetAddress.d.ts.map