import { z } from "zod";
declare const schemaCurrencyListParams: z.ZodOptional<z.ZodObject<{
    currencyIds: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    currencyIds?: string[] | undefined;
}, {
    currencyIds?: string[] | undefined;
}>>;
declare const schemaCurrencyListResult: z.ZodObject<{
    currencies: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        ticker: z.ZodString;
        decimals: z.ZodNumber;
        type: z.ZodLiteral<"CryptoCurrency">;
        family: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "CryptoCurrency";
        id: string;
        name: string;
        color: string;
        ticker: string;
        decimals: number;
        family: string;
    }, {
        type: "CryptoCurrency";
        id: string;
        name: string;
        color: string;
        ticker: string;
        decimals: number;
        family: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"TokenCurrency">;
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        parent: z.ZodString;
        ticker: z.ZodString;
        decimals: z.ZodNumber;
        standard: z.ZodEnum<["ERC20"]>;
        contract: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "TokenCurrency";
        id: string;
        name: string;
        color: string;
        standard: "ERC20";
        parent: string;
        ticker: string;
        decimals: number;
        contract: string;
    }, {
        type: "TokenCurrency";
        id: string;
        name: string;
        color: string;
        standard: "ERC20";
        parent: string;
        ticker: string;
        decimals: number;
        contract: string;
    }>]>, "many">;
}, "strip", z.ZodTypeAny, {
    currencies: ({
        type: "CryptoCurrency";
        id: string;
        name: string;
        color: string;
        ticker: string;
        decimals: number;
        family: string;
    } | {
        type: "TokenCurrency";
        id: string;
        name: string;
        color: string;
        standard: "ERC20";
        parent: string;
        ticker: string;
        decimals: number;
        contract: string;
    })[];
}, {
    currencies: ({
        type: "CryptoCurrency";
        id: string;
        name: string;
        color: string;
        ticker: string;
        decimals: number;
        family: string;
    } | {
        type: "TokenCurrency";
        id: string;
        name: string;
        color: string;
        standard: "ERC20";
        parent: string;
        ticker: string;
        decimals: number;
        contract: string;
    })[];
}>;
export declare const schemaCurrencyList: {
    params: z.ZodOptional<z.ZodObject<{
        currencyIds: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    }, "strip", z.ZodTypeAny, {
        currencyIds?: string[] | undefined;
    }, {
        currencyIds?: string[] | undefined;
    }>>;
    result: z.ZodObject<{
        currencies: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            ticker: z.ZodString;
            decimals: z.ZodNumber;
            type: z.ZodLiteral<"CryptoCurrency">;
            family: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            type: "CryptoCurrency";
            id: string;
            name: string;
            color: string;
            ticker: string;
            decimals: number;
            family: string;
        }, {
            type: "CryptoCurrency";
            id: string;
            name: string;
            color: string;
            ticker: string;
            decimals: number;
            family: string;
        }>, z.ZodObject<{
            type: z.ZodLiteral<"TokenCurrency">;
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            parent: z.ZodString;
            ticker: z.ZodString;
            decimals: z.ZodNumber;
            standard: z.ZodEnum<["ERC20"]>;
            contract: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            type: "TokenCurrency";
            id: string;
            name: string;
            color: string;
            standard: "ERC20";
            parent: string;
            ticker: string;
            decimals: number;
            contract: string;
        }, {
            type: "TokenCurrency";
            id: string;
            name: string;
            color: string;
            standard: "ERC20";
            parent: string;
            ticker: string;
            decimals: number;
            contract: string;
        }>]>, "many">;
    }, "strip", z.ZodTypeAny, {
        currencies: ({
            type: "CryptoCurrency";
            id: string;
            name: string;
            color: string;
            ticker: string;
            decimals: number;
            family: string;
        } | {
            type: "TokenCurrency";
            id: string;
            name: string;
            color: string;
            standard: "ERC20";
            parent: string;
            ticker: string;
            decimals: number;
            contract: string;
        })[];
    }, {
        currencies: ({
            type: "CryptoCurrency";
            id: string;
            name: string;
            color: string;
            ticker: string;
            decimals: number;
            family: string;
        } | {
            type: "TokenCurrency";
            id: string;
            name: string;
            color: string;
            standard: "ERC20";
            parent: string;
            ticker: string;
            decimals: number;
            contract: string;
        })[];
    }>;
};
export type CurrencyList = {
    params: z.infer<typeof schemaCurrencyListParams>;
    result: z.infer<typeof schemaCurrencyListResult>;
};
export type CurrencyListHandler = (params: CurrencyList["params"]) => CurrencyList["result"];
export {};
//# sourceMappingURL=CurrencyList.d.ts.map