import { z } from "zod";
declare const schemaDeviceOpenParams: z.ZodObject<{
    /** ID of the device to select */
    deviceId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    deviceId: string;
}, {
    deviceId: string;
}>;
declare const schemaDeviceOpenResults: z.ZodObject<{
    transportId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    transportId: string;
}, {
    transportId: string;
}>;
export declare const schemaDeviceOpen: {
    params: z.ZodObject<{
        /** ID of the device to select */
        deviceId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        deviceId: string;
    }, {
        deviceId: string;
    }>;
    result: z.ZodObject<{
        transportId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        transportId: string;
    }, {
        transportId: string;
    }>;
};
export type DeviceOpen = {
    params: z.infer<typeof schemaDeviceOpenParams>;
    result: z.infer<typeof schemaDeviceOpenResults>;
};
export type DeviceOpenHandler = (params: DeviceOpen["params"]) => DeviceOpen["result"];
export {};
//# sourceMappingURL=DeviceOpen.d.ts.map