"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaDeviceSelect = void 0;
const zod_1 = require("zod");
const Device_1 = require("./Device");
const schemaDeviceSelectParams = zod_1.z.object({
    /** Select the BOLOS App. If undefined selects BOLOS */
    appName: zod_1.z.string().optional(),
    /**
     * Checks the BOLOS App version range. If undefined no checks
     * Can be any ranges supported here: https://github.com/npm/node-semver#ranges
     */
    appVersionRange: zod_1.z.string().optional(),
    /**
     * Checks the BOLOS Firmware version range. If undefined no checks
     * Can be any ranges supported here: https://github.com/npm/node-semver#ranges
     */
    firmwareVersionRange: zod_1.z.string().optional(),
    /**
     * Checks if the device is seeded. If undefined no checks
     */
    seeded: zod_1.z.boolean().optional(),
    /**
     * Checks if the device matches one of the types. If undefined no checks
     */
    devices: Device_1.schemaDeviceType.array().nonempty().optional(),
});
const schemaDeviceSelectResults = zod_1.z.object({
    deviceId: zod_1.z.string(),
});
exports.schemaDeviceSelect = {
    params: schemaDeviceSelectParams,
    result: schemaDeviceSelectResults,
};
//# sourceMappingURL=DeviceSelect.js.map