import { z } from "zod";
declare const schemaExchangeStartParams: z.ZodObject<{
    exchangeType: z.ZodEnum<["SWAP", "SELL", "FUND", "SWAP_NG", "SELL_NG", "FUND_NG"]>;
}, "strip", z.ZodTypeAny, {
    exchangeType: "FUND" | "SELL" | "SWAP" | "SWAP_NG" | "SELL_NG" | "FUND_NG";
}, {
    exchangeType: "FUND" | "SELL" | "SWAP" | "SWAP_NG" | "SELL_NG" | "FUND_NG";
}>;
declare const schemaExchangeStartResults: z.ZodObject<{
    transactionId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    transactionId: string;
}, {
    transactionId: string;
}>;
export declare const schemaExchangeStart: {
    params: z.ZodObject<{
        exchangeType: z.ZodEnum<["SWAP", "SELL", "FUND", "SWAP_NG", "SELL_NG", "FUND_NG"]>;
    }, "strip", z.ZodTypeAny, {
        exchangeType: "FUND" | "SELL" | "SWAP" | "SWAP_NG" | "SELL_NG" | "FUND_NG";
    }, {
        exchangeType: "FUND" | "SELL" | "SWAP" | "SWAP_NG" | "SELL_NG" | "FUND_NG";
    }>;
    result: z.ZodObject<{
        transactionId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        transactionId: string;
    }, {
        transactionId: string;
    }>;
};
export type ExchangeStart = {
    params: z.infer<typeof schemaExchangeStartParams>;
    result: z.infer<typeof schemaExchangeStartResults>;
};
export type ExchangeStartHandler = (params: ExchangeStart["params"]) => ExchangeStart["result"];
export {};
//# sourceMappingURL=ExchangeStart.d.ts.map