"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaMessageSign = void 0;
const zod_1 = require("zod");
const schemaMessageOptions = zod_1.z.object({
    hwAppId: zod_1.z.string().optional(),
    dependencies: zod_1.z.array(zod_1.z.string()).optional(),
});
const schemaMessageSignParams = zod_1.z.object({
    accountId: zod_1.z.string(),
    hexMessage: zod_1.z.string(),
    options: schemaMessageOptions.optional(),
    meta: zod_1.z.record(zod_1.z.string(), zod_1.z.unknown()).optional(),
});
const schemaMessageSignResults = zod_1.z.object({
    hexSignedMessage: zod_1.z.string(),
});
exports.schemaMessageSign = {
    params: schemaMessageSignParams,
    result: schemaMessageSignResults,
};
//# sourceMappingURL=MessageSign.js.map