"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaTransactionSign = void 0;
const zod_1 = require("zod");
const families_1 = require("../../families");
const schemaTransactionOptions = zod_1.z.object({
    hwAppId: zod_1.z.string().optional(),
    dependencies: zod_1.z.array(zod_1.z.string()).optional(),
});
const schemaTransactionSignParams = zod_1.z.object({
    accountId: zod_1.z.string(),
    rawTransaction: families_1.schemaRawTransaction,
    options: schemaTransactionOptions.optional(),
    meta: zod_1.z.record(zod_1.z.string(), zod_1.z.unknown()).optional(),
    tokenCurrency: zod_1.z.string().optional(),
});
const schemaTransactionSignResults = zod_1.z.object({
    signedTransactionHex: zod_1.z.string(),
});
exports.schemaTransactionSign = {
    params: schemaTransactionSignParams,
    result: schemaTransactionSignResults,
};
//# sourceMappingURL=TransactionSign.js.map